
/******************************************************************************
 *
 *  Quest Software, Inc.
 * ALL RIGHTS RESERVED.
 *
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 *  *  Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.  
 * 
 *  *  Redistributions in binary form must reproduce the above copyright notice, 
 *     this list of conditions and the following disclaimer in the documentation 
 *     and/or other materials provided with the distribution.  
 * 
 *  *  Neither the name of Quest Software, Inc. nor the names of its contributors 
 *     may be used to endorse or promote products derived from this software 
 *     without specific prior written permission. 
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ON AN "AS IS" 
 * AND UNSUPPORTED BASIS, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND, 
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ************************************************************************************/


/*
 *
 * Copyright (C) 2010, Quest Software
 *
 */



/////////////////////////////////////////////////
//
// Application wide system #includes go here
//
/////////////////////////////////////////////////
#include <stdio.h>
#include <stdlib.h>
#include <syslog.h>
#include <string.h>

/////////////////////////////////////////////////
//
// Application wide app includes go here
//
/////////////////////////////////////////////////



/////////////////////////////////////////////////
//
// Application wide values go here
//
/////////////////////////////////////////////////



/////////////////////////////////////////////////
//
// Application wide macros go here
//
/////////////////////////////////////////////////

#define APP_VERSION_STRING       "7.0"
#define APP_VERSION_FULL_STRING  "7.0.0.012"
#define APP_BUILD_STRING         "Build 012 (GA)"

#ifndef DEBUG
#define BUILD_DESCRIPTION_STRING "Standard (GA) Build"
#else 
#define BUILD_DESCRIPTION_STRING "WARNING: DEBUG BUILD (except for qrdesktop)"
#endif

// Use a macro for this to keep it simple
#define LOG_BANNER( x )                  syslog( LOG_NOTICE, "+" );\
        syslog( LOG_NOTICE, "Starting %s.  Build date: %s Build time: %s.", x, __DATE__, __TIME__ );\
        syslog( LOG_NOTICE, "App version: %s %s.", APP_VERSION_STRING, APP_BUILD_STRING);\
        syslog( LOG_NOTICE, "Description: %s", BUILD_DESCRIPTION_STRING );\
        syslog( LOG_NOTICE, "+" );





/////////////////////////////////////////////////
//
// Application wide global function decls go here
//
/////////////////////////////////////////////////
#ifdef __cplusplus
extern "C" {
#endif

int linktest( char * );

#ifdef __cplusplus
}
#endif
